using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Sevomin.Models
{
    public class ParameterValue
    {
        [Required]
        [Index]
        [Key]
        [Column(Order=1)]
        [StringLength(50)]
        public string GroupKey { get; set; }

        [Required]
        [Key]
        [Column(Order = 2)]
        [StringLength(50)]
        public string Value { get; set; }

        [Required]
        public decimal NumbericValue { get; set; }
    }
}
